View Issue Details

IDProjectCategoryLast Update
0019748AI War 2[All Projects] Crash/ExceptionAug 30, 2018 10:12 am
ReporterBadgerBadgerAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.749 Release The Hounds 
Fixed in Version0.764 Mercenary Surge 
Summary0019748: Error building command center
DescriptionI tried to build a command center and I hit this error:

 7/11/2018 5:53:29 PM
During placement: entityDoingThePlacing == null!

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6e9b043112ad447d9669f250b9414168>:0
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6e9b043112ad447d9669f250b9414168>:0
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6e9b043112ad447d9669f250b9414168>:0
  at Arcen.AIW2.External.GameCommand_PlaceSelfBuildingUnit.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x00000] in <89d86b02be38402cbd818fa9ca45b6a2>:0
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <7abd432f67ed4b32a8b81a0fab864cde>:0
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <7abd432f67ed4b32a8b81a0fab864cde>:0
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <89d86b02be38402cbd818fa9ca45b6a2>:0
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x00000] in <7abd432f67ed4b32a8b81a0fab864cde>:0
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <6e9b043112ad447d9669f250b9414168>:0
  at ArcenGameController.Update () [0x000d8] in D:\vclarge\AI_War_2_Ultra\AIW2Unity\Assets\ArcenCode\ArcenGameController.cs:84

I suspect this is because the Colony Ship was already dead
TagsNo tags attached.

Activities

x4000Bughunter

Aug 30, 2018 10:12 am

administrator   ~0048588

Thanks!

* The big scary message of "During placement: entityDoingThePlacing == null!" is now replaced by something much better.
** The new message is: "Construction source died prior to construction start -- cannot build this now."

Issue History

Date Modified Username Field Change
Jul 11, 2018 5:55 pm BadgerBadger New Issue
Jul 11, 2018 5:55 pm BadgerBadger Status new => assigned
Jul 11, 2018 5:55 pm BadgerBadger Assigned To => x4000Bughunter
Aug 30, 2018 10:12 am x4000Bughunter Status assigned => resolved
Aug 30, 2018 10:12 am x4000Bughunter Resolution open => fixed
Aug 30, 2018 10:12 am x4000Bughunter Fixed in Version => 0.764 Mercenary Surge
Aug 30, 2018 10:12 am x4000Bughunter Note Added: 0048588